Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.lemma.processor.xhtml
Enum TocProcessor.SectionType

    java.lang.Object
      java.lang.Enum<TocProcessor.SectionType>
          org.teleal.lemma.processor.xhtml.TocProcessor.SectionType

All Implemented Interfaces:
  Serializable, Comparable<TocProcessor.SectionType>

Enclosing class:
  TocProcessor

    public static enum TocProcessor.SectionType

extends Enum<TocProcessor.SectionType>

Enum Constant Summary
`chapter`
`part`
`sect1`
`sect2`
`sect3`
`section`

Method Summary
`static TocProcessor.SectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TocProcessor.SectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### part

    public static final TocProcessor.SectionType part

### chapter

    public static final TocProcessor.SectionType chapter

### section

    public static final TocProcessor.SectionType section

### sect1

    public static final TocProcessor.SectionType sect1

### sect2

    public static final TocProcessor.SectionType sect2

### sect3

    public static final TocProcessor.SectionType sect3

Method Detail

### values

    public static TocProcessor.SectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TocProcessor.SectionType c : TocProcessor.SectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TocProcessor.SectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.